Update An Individual's Buy Box Criteria
PATCH
https://api.getcovent.com/api/v1/individuals/{id}/buy-boxUpdate an individual's buy box criteria.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X PATCH "https://api.getcovent.com/api/v1/individuals/{id}/buy-box" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"markets": [
"phoenix-az",
"mesa-az"
],
"pricing": {
"min": 175000,
"max": 500000
},
"strategy": [
"buy_and_hold"
]
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsonidstringRequired
id path parameter.
Example: <id>marketsarrayRequired
markets request field.
Example: ["phoenix-az","mesa-az"]pricingobjectRequired
pricing request field.
Example: {"min":175000,"max":500000}strategyarrayRequired
strategy request field.
Example: ["buy_and_hold"]Response
200application/jsonmarketsarrayRequired
markets response field.
Example: ["phoenix-az","mesa-az"]property_typesarrayRequired
property_types response field.
Example: ["single_family","duplex"]pricingobjectRequired
pricing response field.
Example: {"min":175000,"max":500000}strategyarrayRequired
strategy response field.
Example: ["buy_and_hold"]preferencesobjectRequired
preferences response field.
Example: {"occupancy":"vacant"}Response Example
{
"markets": ["phoenix-az", "mesa-az"],
"property_types": ["single_family", "duplex"],
"pricing": {
"min": 175000,
"max": 500000
},
"strategy": ["buy_and_hold"],
"preferences": {
"occupancy": "vacant"
}
}